<?php 

/* Property Listings*/

function post_type_listings() {
register_post_type(
                    'listings', 
                    array( 'public' => true,
					 		'publicly_queryable' => true,
							'has_archive' => true, 
							'hierarchical' => false,
							'menu_icon' => get_stylesheet_directory_uri() . '/images/listing.png',
                    		'labels'=>array(
    									'name' => _x('العروض', 'post type general name'),
    									'singular_name' => _x('العروض', 'post type singular name'),
    									'add_new' => _x('اضافة عرض', 'listing'),
    									'add_new_item' => __('اضافة عرض جديد'),
    									'edit_item' => __('تحرير عرض'),
    									'new_item' => __('عرض جديد'),
    									'view_item' => __('مشاهدة عرض'),
    									'search_items' => __('Search Listings'),
    									'not_found' =>  __('No listings found'),
    									'not_found_in_trash' => __('No Listing found in Trash'), 
    									'parent_item_colon' => ''
  										),							 
                            'show_ui' => true,
							'menu_position'=>5,
							'query_var' => true,
							'rewrite' => TRUE,
							'rewrite' => array( 'slug' => 'listing', 'with_front' => FALSE,),
							'register_meta_box_cb' => 'mytheme_add_box',
							'supports' => array(
							 			'title',
										'thumbnail',
										'comments',
										'editor'
										)
							) 
					);
				} 
add_action('init', 'post_type_listings');

/* Price range taxonomy */

function create_range_taxonomy() 
{
$labels = array(
	  						  'name' => _x( 'نطاق السعر', 'taxonomy general name' ),
    						  'singular_name' => _x( 'نطاق السعر', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'البحث في نطاق السعر' ),
   							  'all_items' => __( 'كل الأسعار' ),
    						  'parent_item' => __( 'نطاق السعر الأصل' ),
   					   		  'parent_item_colon' => __( 'نطاق السعر الأصل:' ),
   							  'edit_item' => __( 'تحرير نطاق السعر' ), 
  							  'update_item' => __( 'تحديث نطاق السعر' ),
  							  'add_new_item' => __( 'اضافة  نطاق السعر' ),
  							  'new_item_name' => __( 'اضافة نطاق سعر جديد' ),
); 	
register_taxonomy('range',array('listings'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'range' ),
  ));
}

/* Location Taxonomy */

function create_location_taxonomy() 
{
$labels = array(
	  						  'name' => _x( 'الموقع', 'taxonomy general name' ),
    						  'singular_name' => _x( 'الموقع', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'البحث عن موقع' ),
   							  'all_items' => __( 'جميع المواقع' ),
    						  'parent_item' => __( 'الموقع الأصل' ),
   					   		  'parent_item_colon' => __( 'الموقع الأصل:' ),
   							  'edit_item' => __( 'تحرير الموقع' ), 
  							  'update_item' => __( 'تحديث الموقع' ),
  							  'add_new_item' => __( 'اضافة موقع جديد' ),
  							  'new_item_name' => __( 'اسم موقع جديد' ),
); 	
register_taxonomy('location',array('listings'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'location' ),
  ));

}

/* Type of property Taxonomy */

function create_property_taxonomy() 
{
$labels = array(
	  						  'name' => _x( 'نوع العقارات', 'taxonomy general name' ),
    						  'singular_name' => _x( 'نوع العقارات', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'البحث بنوع العقارات' ),
   							  'all_items' => __( 'جميع انواع العقارات' ),
    						  'parent_item' => __( 'نوع القعار الأصل' ),
   					   		  'parent_item_colon' => __( 'Parent Property type' ),
   							  'edit_item' => __( 'تحرير نوع العقار' ), 
  							  'update_item' => __( 'تحديث نوع العقار' ),
  							  'add_new_item' => __( 'اضافة نوع عقار جديد' ),
  							  'new_item_name' => __( 'اسم نوع العقار الجديد' ),
); 	
register_taxonomy('property',array('listings'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'property' ),
  ));

}

/* Area Taxonomy */

function create_area_taxonomy() 
{
$labels = array(
	  						  'name' => _x( 'المناطق', 'taxonomy general name' ),
    						  'singular_name' => _x( 'المناطق', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'Search Areas' ),
   							  'all_items' => __( 'All Areas' ),
    						  'parent_item' => __( 'Parent Area' ),
   					   		  'parent_item_colon' => __( 'Parent Area' ),
   							  'edit_item' => __( 'تعديل المنطقة' ), 
  							  'update_item' => __( 'تحديث المنطقة' ),
  							  'add_new_item' => __( 'اضافة منطقة' ),
  							  'new_item_name' => __( 'منطقة جديدة' ),
); 	
register_taxonomy('area',array('listings'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'area' ),
  ));

}


/* Listing type Taxonomy */

function create_type_taxonomy() 
{
$labels = array(
	  						  'name' => _x( 'العلامات', 'taxonomy general name' ),
    						  'singular_name' => _x( 'قائمة العلامات', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'Search Listing types' ),
   							  'all_items' => __( 'All Listing types' ),
    						  'parent_item' => __( 'Parent Listing types' ),
   					   		  'parent_item_colon' => __( 'Parent Listing type' ),
   							  'edit_item' => __( 'تحرير علامة' ), 
  							  'update_item' => __( 'تحديث علامة' ),
  							  'add_new_item' => __( 'اضافة علامة' ),
  							  'new_item_name' => __( 'علامة جديدة' ),
); 	
register_taxonomy('type',array('listings'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => 'radio',
    'query_var' => true,
    'rewrite' => array( 'slug' => 'type' ),
  ));

}


/* Bedrooms Taxonomy */

function create_bedrooms_taxonomy() 
{
$labels = array(
	  						  'name' => _x( 'غرف', 'taxonomy general name' ),
    						  'singular_name' => _x( 'الغرف', 'taxonomy singular name' ),
    						  'search_items' =>  __( 'Search Bedrooms' ),
   							  'all_items' => __( 'All Bedrooms' ),
    						  'parent_item' => __( 'Parent Bedrooms' ),
   					   		  'parent_item_colon' => __( 'Parent Bedrooms' ),
   							  'edit_item' => __( 'Edit Bedrooms' ), 
  							  'update_item' => __( 'Update Bedrooms' ),
  							  'add_new_item' => __( 'اضافة غرف' ),
  							  'new_item_name' => __( 'New Bedrooms' ),
); 	
register_taxonomy('bedrooms',array('listings'), array(
    'hierarchical' => true,
    'labels' => $labels,
    'show_ui' => true,
    'query_var' => true,
    'rewrite' => array( 'slug' => 'bedroom' ),
  ));

}



add_action( 'init', 'create_area_taxonomy', 0 );
add_action( 'init', 'create_range_taxonomy', 0 );
add_action( 'init', 'create_location_taxonomy', 0 );
add_action( 'init', 'create_property_taxonomy', 0 );
add_action( 'init', 'create_type_taxonomy', 0 );
add_action( 'init', 'create_bedrooms_taxonomy', 0 ); 




/* PRE-DEFINE TERMS */

##Featured##
function add_range_term_featured() {
if(!is_term('Featured', 'type')){
  wp_insert_term('Featured', 'type');
}
}

##Reduced#
function add_range_term_reduced() {
if(!is_term('Reduced', 'type')){
  wp_insert_term('Reduced', 'type');
}
}

##Sold#
function add_range_term_sold() {
if(!is_term('Sold', 'type')){
  wp_insert_term('Sold', 'type');
}
}


add_action( 'init', 'add_range_term_featured' );
add_action( 'init', 'add_range_term_reduced' );
add_action( 'init', 'add_range_term_sold' );





?>